# Visualization
TKV3d
PrsMgr

# PrsMgr_ModedPresentation Class Reference

`#include <PrsMgr_ModedPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PrsMgr_ModedPresentation ()
Standard_EXPORT | PrsMgr_ModedPresentation (const Handle(PrsMgr_Presentation)&aPresentation, const Standard_Integer aMode)
Standard_EXPORT Handle_PrsMgr_Presentation | Presentation () const
Standard_EXPORT Standard_Integer | Mode () const

## Private Attributes

Handle_PrsMgr_Presentation | myPresentation
Standard_Integer | myMode

## Constructor & Destructor Documentation

Standard_EXPORT PrsMgr_ModedPresentation::PrsMgr_ModedPresentation | ( |  | ) |

Standard_EXPORT PrsMgr_ModedPresentation::PrsMgr_ModedPresentation | ( | const Handle(PrsMgr_Presentation)& | aPresentation,
|  | const Standard_Integer | aMode
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer PrsMgr_ModedPresentation::Mode | ( |  | ) | const

void PrsMgr_ModedPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PrsMgr_ModedPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* PrsMgr_ModedPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_PrsMgr_Presentation PrsMgr_ModedPresentation::Presentation | ( |  | ) | const

## Field Documentation

Standard_Integer PrsMgr_ModedPresentation::myMode `[private]`

Handle_PrsMgr_Presentation PrsMgr_ModedPresentation::myPresentation `[private]`

The documentation for this class was generated from the following file:

- PrsMgr_ModedPresentation.hxx